For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
This endpoint updates the status of a user by posting feedback data to Trustly for an authorized Identity transaction. This communicates to Trustly that the user associated with the transaction has been successfully registered in the merchant system, or that the user record has been voided and therefore will not be eligible for future payment transactions.
To confirm a user was registered, set properties `status` to `4`, `subStatus` to `559` and `description` to `Registered`. To void a user who did not complete registration after completing the Trustly ID flow, set `status` to `13`, `subStatus` to `558` and `description` to `Known bad user`.
for more information about Trustly ID, see [Verify identity with Trustly ID](/integrate/retrieve-data/trustly-id).
Authentication
AuthorizationBasic
Path parameters
transactionIdstringRequired
Transaction ID retrieved from a Trustly Authorization transaction.
Request
This endpoint expects an object.
statusintegerOptionalDefaults to 4
subStatusintegerOptionalDefaults to 559
descriptionstringOptionalDefaults to Registered
Response
OK
transactionIdstring>=1 character
A unique transaction identifier generated by Trustly (15 character max).
3-letter ISO Currency Code. Currently only USD is supported.
Allowed values:
amountstring>=1 character
The amount of the transaction. (10 characters with support for 2 decimal places)
pendingstring>=1 character
The total amount that is still pending completion. (10 characters with support for 2 decimal places)
paidstring>=1 character
The total amount that was already paid. (10 characters with support for 2 decimal places)
refundedstring>=1 character
The total amount that was refunded. (10 characters with support for 2 decimal places)
reversedstring>=1 character
The total amount that was reversed. (10 characters with support for 2 decimal places)
balancestring>=1 character
The balance of the amount paid, minus the amount reversed and/or refunded. (10 characters with support for 2 decimal places)
paymentProviderTransactionobject
Payment Provider Transaction
statusenum
Status code of the Payment Provider Transaction record. See Transaction Types
statusMessagestring>=1 character
A descriptive status message. (120 characters)
ipstring>=1 character
The client IP address in IPv4 or IPv6 format.
createdAtinteger
The date and time the transaction was created as a UNIX timestamp.
processedAtinteger
The date and time the transaction was processed as a UNIX timestamp.
completedAtinteger
The date and time the transaction was completed as a UNIX timestamp.
updatedAtinteger
The date and time the transaction was last updated as a UNIX timestamp.
merchantReferencestring>=1 character
Merchants internal reference id for the transaction.
recordVersiondouble
The current record version.
ppTrxIdstringOptional>=1 character
internal use only
expiredAtintegerOptional
The date and time the preauthorization will expire as a UNIX timestamp.
originalTransactionIdstringOptional
feestringOptional
timeZonestringOptional
representmentScheduledAtdoubleOptional
paymentProcessorTypestringOptional
statusCodestringOptional
preAuthorizedbooleanOptional
Errors
401
Unauthorized Error
This endpoint updates the status of a user by posting feedback data to Trustly for an authorized Identity transaction. This communicates to Trustly that the user associated with the transaction has been successfully registered in the merchant system, or that the user record has been voided and therefore will not be eligible for future payment transactions.
To confirm a user was registered, set properties status to 4, subStatus to 559 and description to Registered. To void a user who did not complete registration after completing the Trustly ID flow, set status to 13, subStatus to 558 and description to Known bad user.